<div data-control="toolbar">
    <a href="<?= Backend::url('ims/shophelper/ordercontroller/create') ?>" class="btn btn-primary oc-icon-plus">
        <?= e(trans('backend::lang.form.create')) ?>
    </a>
    <button onclick="importa_ordini()" class="btn btn-primary oc-icon-paper-plane-o">Importa Ordini</button>
</div>
<script>
    $(document).ready(function(){
        rimuoviCheckbox();
    });
    //rimuove checkbox su righe che non hanno il pulsante "Importa"
    function rimuoviCheckbox(){
        document.getElementsByName('buttonImporta').forEach(pulsante => {
            const buttons = pulsante.getElementsByTagName("button");
            if(buttons.length===0 || buttons[0].innerText!=="Importa") {
                var elem = pulsante.parentElement.parentElement.getElementsByClassName('custom-checkbox');
                $(elem).html("");
            }
        });
    }
    function importaSingolo(id){
        return new Promise(result => {
            $.ajax({
                url: "ApiController/importOrder/"+id,
                type: 'GET',
                success: function(response){
                    result(response);
                }
            });
        })
    }
    async function importa_ordini(){
        const checked = [];
        $('input[type=checkbox]:checked').each(function(){
            if($(this).is(':checked')){
                checked.push($(this).val());
            }
        });
        let res;
        for(var i=0; i<checked.length; i++){
            res = await importaSingolo(checked[i]);
            //check stato chiamata, se false fermo l'import
            if(!res.status){
                $.oc.flashMsg({text: res.message, class: 'error'});
                break;
            }
        }
        //se stato ok, do messaggio per 2 secondi e poi aggiorno la pagina per aggiornare gli stati
        if(res?.status){
            $.oc.flashMsg({text: 'Importazione eseguita con successo', class: 'success'});
            window.setTimeout(function(){location.reload()},2000);
        }
    }
</script>